Page MenuHomePhabricator

efl_ui_active_view: fix view_manager_scroll
ClosedPublic

Authored by bu5hm4n on Jun 5 2019, 4:58 AM.

Details

Summary

the problem that can be observed when clicking permanently on a view in
the view_manager_scroll. You will see things jump arround uncontrolled,
then when you quickly drag and drop, you will also see a lot of weird
moving arround artifacts. The reason for this is, that progress was not
correctly resetted, additionally, mouse_active also was not resetted
correctly in one case.

fix T7988
Depends on D9073

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jun 5 2019, 4:58 AM
bu5hm4n requested review of this revision.Jun 5 2019, 4:58 AM
Jaehyun_Cho accepted this revision.Jun 6 2019, 10:52 PM
This revision is now accepted and ready to land.Jun 6 2019, 10:52 PM
Closed by commit rEFL8ae4dbfb3f63: efl_ui_active_view: fix view_manager_scroll (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 7 2019, 4:21 AM
This revision was automatically updated to reflect the committed changes.